import 'package:cloud_firestore/cloud_firestore.dart';

class ShipmentStatus {
  String status;
  DateTime date;
  bool done;
  ShipmentStatus({this.status, this.date, this.done});

  factory ShipmentStatus.fromMap(Map<String, dynamic> map) {
    var _date = (map['date'] as Timestamp);
    return ShipmentStatus(
      status: map['status'],
      date: _date == null ? null : _date.toDate(),
      done: map['done'],
    );
  }
}
